import webapp2
import logging

class MainPage(webapp2.RequestHandler):
    def get(self):
        self.response.headers['Content-Type'] = 'text/plain'

        accept_encoding = self.request.headers.get ('Accept-Encoding')
        if accept_encoding is None:
            accept_encoding = "RECEIVED NONE"

        user_agent = self.request.headers.get ('User-Agent')
        if user_agent is None:
            user_agent = "RECEIVED NONE"
            
        msg = 'received Accept-Encoding: %s\nUser-Agent: %s\n' % (accept_encoding, user_agent)
        logging.info (msg)
        self.response.out.write (msg)


app = webapp2.WSGIApplication([
    ('/', MainPage),
], debug=True)
